RDKit: ForceFields::UFF::vdWContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ForceFields::UFF::vdWContrib Class Reference

the van der Waals term for the Universal Force Field More...

`#include <Nonbonded.h>`

Inheritance diagram for ForceFields::UFF::vdWContrib:

## Public Member Functions
| vdWContrib ()
| vdWContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, const AtomicParams *at1Params, const AtomicParams *at2Params, double threshMultiplier=10.0)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual vdWContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

the van der Waals term for the Universal Force Field

The Distance Threshold For the sake of efficiency, each vdwContrib maintains a threshold distance. When the distance between the two atoms exceeds this threshold, the vdwContrib makes no contribution to either the energy or the gradient.

The threshold is set to a multiple of the vdW distance's preferred length. This multiplier can be supplied to the constructor.

Definition at line 30 of file UFF/Nonbonded.h.

## Constructor & Destructor Documentation

ForceFields::UFF::vdWContrib::vdWContrib | ( |  | ) |
| inline

Definition at line 32 of file UFF/Nonbonded.h.

References getEnergy(), and getGrad().

Referenced by copy().

ForceFields::UFF::vdWContrib::vdWContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | const AtomicParams * | at1Params,
|  | const AtomicParams * | at2Params,
|  | double | threshMultiplier = `10.0`
| ) |  |

Constructor.

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of end1 in the ForceField's positions
  idx2 | index of end2 in the ForceField's positions
  at1Params | pointer to the parameters for end1
  at2Params | pointer to the parameters for end2
  threshMultiplier | (optional) multiplier for the threshold calculation. See class documentation for details.

## Member Function Documentation

virtual vdWContrib* ForceFields::UFF::vdWContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 50 of file UFF/Nonbonded.h.

References ForceFields::UFF::Utils::calcNonbondedDepth(), ForceFields::UFF::Utils::calcNonbondedMinimum(), and vdWContrib().

double ForceFields::UFF::vdWContrib::getEnergy | ( | double * | pos | ) | const
| virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

Referenced by vdWContrib().

void ForceFields::UFF::vdWContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

Referenced by vdWContrib().

The documentation for this class was generated from the following file:

- UFF/Nonbonded.h